Package com.smartgwt.client.types

# Enum TitleAlign

java.lang.Object
java.lang.Enum<TitleAlign>
com.smartgwt.client.types.TitleAlign

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TitleAlign>`, `Constable`

public enum TitleAlign extends Enum<TitleAlign> implements ValueEnum
Supported positioning of the chart Title.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Align centrally in the chart title header
  `LEFT`
  Align to the left of the chart title header
  `RIGHT`
  Align to the right of the chart title header

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TitleAlign`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TitleAlign[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TitleAlign LEFT
    Align to the left of the chart title header

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "left".

  - ### CENTER

    public static final TitleAlign CENTER
    Align centrally in the chart title header

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "center".

  - ### RIGHT

    public static final TitleAlign RIGHT
    Align to the right of the chart title header

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "right".

- ## Method Details

  - ### values

    public static TitleAlign[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TitleAlign valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`